﻿@model DataAccess.Model.Vocabulary

@{Html.RenderAction("SidemenuVocabulary", "Menu");}

<div class="dashboard-wrapper">
    <div class="container-fluid dashboard-content">
        <h2>Upravit slovíčko - @Model.Word</h2>

        @using (Html.BeginForm("UpdateVocabulary", "Vocabulary", FormMethod.Post))
        {
            @Html.HiddenFor(x => x.Id)
            @Html.AntiForgeryToken()

            <div class="container">
                <div class="form-group row">
                    <label class="col-sm-2 col-form-label">Upravit slovíčko</label>
                    <div class="col-sm-10">
                        @Html.TextBoxFor(x => x.Word, new { @class = "form-control" })
                        @Html.ValidationMessageFor(x => x.Word)
                    </div>
                </div>

                <div class="form-group row">
                    <label class="col-sm-2 col-form-label">Upravit vysvětlivku</label>
                    <div class="col-sm-10">
                        @Html.TextAreaFor(x => x.Description, new { @class = "form-control" })
                        @Html.ValidationMessageFor(x => x.Description)
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-sm-2 col-sm-10">
                        <button type="submit" class="btn btn-primary">Upravit slovíčko</button>
                        <a href="@Url.Action("IndexVocabulary", "Vocabulary")" class="btn btn-primary pull-right">Zpět</a>
                    </div>
                </div>
            </div>
        }
    </div>
</div>